Bug 1426470 - dnf upgrade produces error messages
Summary: dnf upgrade produces error messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghdl
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Thomas Sailer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1434884 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-24 01:37 UTC by George R. Goffe
Modified: 2017-10-23 13:16 UTC (History)
8 users (show)

Fixed In Version: ghdl-0.34dev-0.20170712git5783528.0.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-24 19:20:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1429257 None None None Never

Internal Links: 1429257

Description George R. Goffe 2017-02-24 01:37:43 UTC
Description of problem:

Attempting to upgrade this system produced these error messages

Version-Release number of selected component (if applicable):

fc25-bash 4.3 ~# rpm -q ghdl
ghdl-0.34dev-0.20160702git50d0507.0.fc25.x86_64

fc25-bash 4.3 ~# rpm -q iverilog
iverilog-10-2.fc24.x86_64

How reproducible:

"dnf -y --exclude=iverilog'*' upgrade" fails... attempting "dnf -y --exclude=ghdl'*' upgrade" succeeds.

Steps to Reproduce:
1.see above
2.
3.

Actual results:

see above

Expected results:

"normal" system upgrade

Additional info:

Error: Transaction check error:
  file /usr/include/vpi_user.h from install of ghdl-0.34dev-0.20170221git663ebfd.0.fc25.x86_64 conflicts with file from package iverilog-10-2.fc24.x86_64

Comment 1 Terry Barnaby 2017-03-02 07:34:42 UTC
Same problem here with a standard dnf system update from normal update repositories.

Error: Transaction check error:
  file /usr/include/vpi_user.h from install of ghdl-0.34dev-0.20170221git663ebfd.0.fc25.x86_64 conflicts with file from package iverilog-10-2.fc24.x86_64

Comment 2 Mike 2017-03-02 15:36:53 UTC
The same as other people are reporting:

Error: Transaction check error:
  file /usr/include/vpi_user.h from install of iverilog-10-2.fc24.x86_64 conflicts with file from package ghdl-0.34dev-0.20170221git663ebfd.0.fc25.x86_64

Comment 3 George R. Goffe 2017-03-23 18:32:23 UTC
Mike,

I've changed this bug report to "Rawhide" systems. I just got these messages:

Error: Transaction check error:
  file /usr/include/vpi_user.h conflicts between attempted installs of ghdl-0.34dev-0.20170221git663ebfd.0.fc26.x86_64 and iverilog-10-4.fc26.x86_64


Regards,

George...

Comment 4 Andy Lawrence 2017-04-12 11:28:12 UTC
*** Bug 1434884 has been marked as a duplicate of this bug. ***

Comment 5 Klaus Pedersen 2017-05-27 06:55:44 UTC
Bug is still in Fedora 26 alpha. Pretty annoying as it block groupinstall of 'Electronic Lab'.

Ben Rosser suggest in (duplicate) bug 1429257, comment 2 that:

> It would be really nice if this could be fixed; perhaps by putting either 
> the iverilog or ghdl headers into a subdirectory of /usr/include?

/usr/include/ghdl/vpi_user.h
/usr/include/iverilog/vpi_user.h

Comment 6 George R. Goffe 2017-05-28 23:18:11 UTC
Ankur,

What more information do you need?

George...

I have been getting along without iverilog. I just tried installing it and got these messages from my Fedora 27 (rawhide) system:

dnf install iverilog
Last metadata expiration check: 2:04:45 ago on Sun May 28 14:10:50 2017 PDT.
Dependencies resolved.
=======================================================================================================================================
 Package                         Arch                          Version                            Repository                      Size
=======================================================================================================================================
Installing:
 iverilog                        x86_64                        10-4.fc26                          rawhide                        1.9 M

Transaction Summary
=======================================================================================================================================
Install  1 Package

Total download size: 1.9 M
Installed size: 5.9 M
Is this ok [y/N]: y
Downloading Packages:
iverilog-10-4.fc26.x86_64.rpm                                                                          116 kB/s | 1.9 MB     00:17    
---------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                  109 kB/s | 1.9 MB     00:18     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/include/vpi_user.h from install of iverilog-10-4.fc26.x86_64 conflicts with file from package ghdl-0.34dev-0.20170221git663ebfd.0.fc26.x86_64

Error Summary
-------------

Comment 7 Ankur Sinha (FranciscoD) 2017-05-29 10:21:48 UTC
(In reply to George R. Goffe from comment #6)
> Ankur,
> 
> What more information do you need?
> 

That's to request the maintainer on info on how to proceed here. :)

Comment 8 Fedora Update System 2017-07-13 02:33:36 UTC
ghdl-0.34dev-0.20170712git5783528.0.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ccc6f98007

Comment 9 Fedora Update System 2017-07-13 23:53:17 UTC
ghdl-0.34dev-0.20170712git5783528.0.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ccc6f98007

Comment 10 Fedora Update System 2017-07-24 19:20:17 UTC
ghdl-0.34dev-0.20170712git5783528.0.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.